qDoc help

This program allows you to create reports from data sources like MS Access or any ODBC sources.

For better use of this software, you must before understand how it works. First of all the qDoc can work in 2 modes.

The program modes

The program can run in 2 modes, edit mode (to create and edit documents) and preview mode (to see the generated document and to print the document).

To learn how to create a document, you can jump to the edit mode chapter.


The edit mode

With this mode you can create the layout for your document (report). Here is the "edit mode" window:

The three first buttons are the common buttons: New, Open, Save. The buttons B I U and the 3 other buttons to their right are the usual Bold, Italic, Underline, Align Left, Center, Right buttons, these buttons have effect only on the selected controls of the active section (a control can be any field or picture). The current selected control have a blue border instead of a grey border (to activate a section click on the section, the name of the active section is written under #6)

  1. Print Preview button (you will enter the "preview" mode)
  2. Insert a field in the active section
  3. Insert a button in the active section
  4. Delete the selected controls
  5. The coordinates of the cursor in the section
  6. The name of the active section is written here
  7. The unit used in the document (you can change that under the menu Options - Measure Units)

The next steps to create a document

Now when you know more about the edit window you can learn about the document structure and then start to create a new document.


Document structure

On this page: The document structure - The section types

The document structure

Each document has one connection to a data source (see document properties) and can contain many sections, here are the different section types.

The section types

  • Many data sections , each data section is fitted by one SQL query, this query will be executed just before the creation of the section (see section properties).
  • 1 Page header (no data source)
  • 1 Page footer (no data source)
  • 1 Report header (come only one time at the beginning of the report)
  • 1 Report footer (come only one time at the end of the report)

Each section contains many controls. Controls can be:

  • fields
  • pictures
  • charts


Create a new document

Open qDoc.exe, click on the menu file new (if you are not in edit mode, switch to edit mode by clicking in the menu File, Switch to Edit Mode).

Then you must:

a) set the document properties
b) add one or more data sections
c) add fields or pictures

To generate the final document (report) type CTRL-P to go in preview mode.


Document properties

You have to set the connection string for an odbc (or ms jet source) in the document properties. As shown in the picture for access sources or dsn=yoursource for odbc sources.

Optional: You can choose the default printer, define the paper size and so on.


Section properties

On this page: Data sections

Data sections

To add a data section, click on the menu Section, Add a data section. Then to access the properties of this section double click on the section.

The section properties window

  1. Section Name (this name will be used to access the field created by the SQL query)
  2. The field 2 and 3 are not shown if this is the first data section. These 2 fields indicate when this section must appear in the document. There are 2 possibilities: after each record of a section or after a complete section (after the last record).
  3. see under 2.
  4. the number of the data section (for information)
  5. the sql query. for more information see syntax of sql queries
  6. click on this button to create a simple SQL query
  7. this button allows you to test the query (note: the query will be tested but not the parameters!)
  8. Check this option if you want a page break after this section
  9. Visible field. Type true or false. You can also enter a formula.


SQL Query

On this page: the syntax of the SQL query

The syntax of the SQL query

The SQL query depends on the SQL language supported by your data connection. You can use fields of previous sections in your query. Example:

SELECT [OrderID], [CustomerID], [EmployeeID], [OrderDate],
[RequiredDate], [ShippedDate]
FROM [Orders]
where customerID='{[Customers].[CustomerID]}'

To insert values of other sections, use this syntax:

{[name of the section].[name of the field]}


Fields

A field can contain:

a) the result field of a query , the content
of the field will be composed like:
[name of the section].[name of the field]
b) pure text. Just type text as you want.
c) a formula. A formula in a field must always start with =.

To easily drag and drop a SQL query's result field, click in the menu View, on the item "field list". Then drag and drop the fields in the section.

You can also add a field by clicking with the right button of the mouse on the section where you want to add the field and choose add a field in the contextual menu.

The field list window

To modify a field, you can double click on the field. If you want to add a formula or a text field, click on the right button and select Add field.

To delete a field, click with the right button on the field and select Delete in the contextual menu.

The item properties window

  1. Write the field's content here
  2. Font properties
  3. Formatting properties
  4. Visible: Type true or false or your own formula.
  5. Check this box if you want to allow this field to grow vertically (Info: all fields under this one will be pushed down).


Pictures

You can add a picture by clicking with the right button of the mouse on the section where you want to add the picture and choose "add a picture" in the contextual menu.

If you double click on the "picture control" to see the picture properties window.

Picture properties window

  1. If your picture is always the same picture. Choose "File" and write the path to the file here.
  2. If the path of your file can be found in one field of your database, choose "filename in field" and select in the list the field which contains the path to the picture to show.
  3. Check here if the aspect ratio has to be kept. Otherwise the picture will be stretched in the full area of the picture control.


Charts

You can add a chartby clicking the right button of the mouse on the section where you want to add the chart and choose "add a chart" in the contextual menu.

If you double click on the "chart control" you will see the chart properties window.

Chart properties window

In the "SQL SELECT command" field, enter the query that will create the data needed to plot the chart. You can enter parameters like {[Section name].[field name]} to make references to query results of previous (or current) sections. (note: When you click on the preview these references cannot be evaluated. To make a preview replace these references for a real value).


Formulas

Formulas in fields

You can write formulas in the content of the field. This formula must start with =. You can use complex mathematic formulas.
Example:

=[Details].[unitprice]*[Details].[quantity]*(1-[Details].[discount])

The structure to get the content of the result of a field is:

[section name].[field name (result of the query)]

If the part "name of the section" is omitted then the field will be searched in the current section, in this case you can write:

[field name (result of the query)]

Formulas in "visible" property

The visible property can accept formula. In this case you don't need to start the formula with =. The formula must produce a Boolean (true or false) result. In the field property you can also use the keyword "[me]" to use the value of the field itself in the formula.
For example:

[me]<>0

The field will be shown only if its value is different than zero.


The preview mode

On this page: the preview mode window

The preview mode window

From the edit mode you can go to the "preview mode" by clicking on the menu File - Print Preview.

  1. Open another report (in preview mode)
  2. Go to the edit mode
  3. Print the current document
  4. Move the previous/next page
  5. Stop the current process (available only if the document is being created)
  6. View errors. This allows you to see the errors encountered during the creation of the document. Useful to find mistakes in the definition of formulas. It is visible only if there are any errors.
  7. Progress status. Visible during the creation of the document.
  8. Show which page is actually displayed.
  9. Current status of the software.


How to buy

On this page: How to buy the product/licence - How to configure the licence - How to check the authenticity of your licence

How to buy the product/licence

To use fully this software, you have to buy a licence. You will obtain these benefits:

  1. The DEMO text on each page will be removed
  2. The support for registered customer is better and faster
  3. You can obtain the updates for free until the next version (the updates contain correction of the common bugs, minor improvements)

Buy process and licence verification

  1. Buy online your licence using this link:
    http://www.burningbox.com/products/qdoc/buy.htm
  2. Then you will receive an email (usually the 1 or 2 next business day) with your customer id, your software licence number and the verification code.
  3. Open the Licence Window and fill the form. We advise to cut and paste the information to avoid any mistakes. Please note that verification code can be very long.
  4. Click on "Check the licence ". The Licence will be verified by our LVServ (licence verification server) (created also by www.burningbox.com ). If the computer where you use this software is not connected to the internet, don't worry you can continue to use the software even if the LVServ cannot be reached. But if you suspect any piracy of the licence number write us an email with the name of the software, your customer id, your software licence(s) number(s) and we will check if you are a registered customer.

The licence window

You can open this window if you go under the menu ? and then "Licence"


Need more help?

If you need more help, you can:

  1. First of all, please consult the Frequently Asked Questions (FAQ) on our web site
  2. If you still dont find a solution for your problem you can write to supportqdoc@burningbox.com (note that we answer quicker to our customer who bought a licence)